import { IModelField } from '../interface/model-field';

export function Model(name: string, fields: IModelField): any {
	return (target: any): void => {
		Reflect.defineMetadata('model', {
			collection: name,
			className: target.name,
			fields: fields,
		}, target);
	}
}