# CHANGELOG

> Below defines all the recent changes, fixes, and features.

### Version: 0.2.1

* Updated the readme with the updated quickstart guide.
* Updated the IContext interface with the body property.
* Fixed a bug in the server, which was not returning data from the body.

### Version: 0.2.0

* Added the Model decorator which is built around MongoDB.
* Added new decorator InjectModel, used for injecting a model into a controller.
* Added the MongoDB Node.JS driver for the model decorator.
* Added new model abstract class with a series of pre-built functionality.
* Added new models property in controllers which will contain any injected models.
* Added more features that I am planning to work on in the README.
* Updated dependencies to the latest version.
* Exported all interfaces to help structure outputs from the framework.
* Added new options for the server to add support for MongoDB.
* Added new registerModels function to register any available models.
* Updated README with new decorators and framework calls.
* Added new abstract class for controllers as this defines the required fields for model injection.

---

### Version: 0.1.1

* Added some additional NPM commands for faster development.
* Added a quickstart guide to the README file to have a quickstart guide in there.
* Rebuilt some of the README example code.
* Added more interfaces for better return structures that can be imported from the package.
* Rewrote some of the provide and inject functionality and put it into alpha.
* Restructured the controller return types so that we can define http status code and body content.

---

### Version: 0.1.0

* Initial version of the framework.
* Implemented decorator Controller
* Implemented decorator Route.
* Added support for the express middleware.
* Added standard express server, running on a defined port.
* Added controller processor for generating routes and assigning prefixed routes.
