"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Server = exports.AbstractController = exports.AbstractModel = exports.InjectModel = exports.Model = exports.Route = exports.Inject = exports.Provide = exports.Controller = void 0;
require("reflect-metadata");
require("./module/internal");
var controller_1 = require("./decorator/controller");
Object.defineProperty(exports, "Controller", { enumerable: true, get: function () { return controller_1.Controller; } });
var route_1 = require("./decorator/route");
Object.defineProperty(exports, "Route", { enumerable: true, get: function () { return route_1.Route; } });
var provide_1 = require("./decorator/provide");
Object.defineProperty(exports, "Provide", { enumerable: true, get: function () { return provide_1.Provide; } });
var inject_1 = require("./decorator/inject");
Object.defineProperty(exports, "Inject", { enumerable: true, get: function () { return inject_1.Inject; } });
var model_1 = require("./decorator/model");
Object.defineProperty(exports, "Model", { enumerable: true, get: function () { return model_1.Model; } });
var inject_model_1 = require("./decorator/inject-model");
Object.defineProperty(exports, "InjectModel", { enumerable: true, get: function () { return inject_model_1.InjectModel; } });
var model_2 = require("./abstract/model");
Object.defineProperty(exports, "AbstractModel", { enumerable: true, get: function () { return model_2.AbstractModel; } });
var controller_2 = require("./abstract/controller");
Object.defineProperty(exports, "AbstractController", { enumerable: true, get: function () { return controller_2.AbstractController; } });
var server_1 = require("./module/server");
Object.defineProperty(exports, "Server", { enumerable: true, get: function () { return server_1.Server; } });
//# sourceMappingURL=index.js.map