export interface IContext {
	httpVersion: string,
	headers: Array<string>,
	requestedUrl: string,
	httpMethod: string,
	ipAddress: string,
	params: IKVArray,
	query: IKVArray,
	cookies: IKVArray,
	body: any,
	setCookie: (name: string, value: string, maxAge?: number, httpOnly?: boolean, secure?: boolean) => boolean,
}

interface IKVArray {
	[key: string]: string,
}